Package org.h2.mvstore

# Class MVStore.TxCounter

java.lang.Object
org.h2.mvstore.MVStore.TxCounter

Enclosing class:
  `MVStore`

public static final class MVStore.TxCounter extends Object
Class TxCounter is a simple data structure to hold version of the store along with the counter of open transactions, which are still operating on this version.

## Field Summary

Fields
Modifier and Type
Field
Description
`final long`
`version`
Version of a store, this TxCounter is related to

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### version

public final long version
Version of a store, this TxCounter is related to

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`